import re
import json
from AbstractDataObject import AbstractDataObject


class FlatDataObject(AbstractDataObject):
    def __init__(self, serverName, nameSpaceIndex, variableName, value):
        super().__init__(serverName + '/' + str(nameSpaceIndex) + '/' + variableName)
        self.serverName = serverName
        self.nameSpaceIndex = nameSpaceIndex
        self.variableName = variableName
        self.value = value

    def getPayload(self):
        payload = {
            "serverName": self.serverName,
            "nameSpaceIndex": self.nameSpaceIndex,
            "variableName": self.variableName,
            "value": self.value
        }
        return json.dumps(payload)
